package  
{
	import flash.display.Sprite;
	/**
	 * ...
	 * @author Shiu
	 */
	public class Triangle extends Sprite
	{
		private var _w:Number = 20;
		private var _h:Number = 20;
		private var _col:Number;
		
		public function Triangle(color:Number = 0xFF9933) 
		{
			col = color
		}
		
		public function draw():void 
		{
			graphics.clear();
			graphics.beginFill(_col);
			graphics.lineStyle(1);
			graphics.drawPath(new <int> [1, 2, 2, 2], new <Number>[0.66*_w, 0, -0.33 * _w, 0.5 * _h, -0.33 * _w, -0.5 * _h, 0.66*_w, 0,]);
			graphics.endFill();
		}
		
		public function get h():Number 
		{
			return _h;
		}
		
		public function set h(value:Number):void 
		{
			_h = value;
		}
		
		public function get w():Number 
		{
			return _w;
		}
		
		public function set w(value:Number):void 
		{
			_w = value;
		}
		
		public function get col():Number 
		{
			return _col;
		}
		
		public function set col(value:Number):void 
		{
			_col = value;
			draw();
		}
		
	}

}